#ifndef RECORDGAME_H_INCLUDED
#define RECORDGAME_H_INCLUDED

#include <PA9.h>
#include "all_gfx.h"
#include "sgftree.h"
#include "navigateTree.h"
#include "go.h"
#include "clock.h"
#include "drawing.h"

int recordGameSetup( SGFTree * tree, Infos * infos );
void recordGame( SGFTree * tree, Infos * infos );

int enterNumber( char * str);
void enterName(char * name, char * str);

void initInfos( Infos * infos );
void writeInfos( Infos * infos );
void infosToSgf( Infos * infos, SGFTree * tree );
void saveGameToSGF( SGFNode * node );

int playMove( int x, int y, int color, Goban * goban, SGFTree * tree );
#endif // RECORDGAME_H_INCLUDED
