#ifndef TSUMEGO_H_INCLUDED
#define TSUMEGO_H_INCLUDED

#include <PA9.h>
#include <sys/dir.h>
#include <sys/stat.h>
#include <fat.h>

#include "all_gfx.h"
#include "sgftree.h"
#include "navigateTree.h"
#include "go.h"
#include "clock.h"
#include "drawing.h"
#include "replayGame.h"

int countListCollections( void );
int countListProblems( SGFTree * tree );

void writeListCollections( int offset );
void writeListProblems(int offset, int size);
void loadCollectionNumber(int number, SGFTree * tree);
int loadProblemNumber(int number, SGFTree * tree);

int loadCollection( SGFTree * tree);
int loadProblem( SGFTree * tree, int offset );

void tsumego( SGFTree * tree, int offset );
void tryToMove(SGFTree * tree, Goban * goban, int x, int y);
void testEndOfProblem( SGFTree * tree );

#endif // TSUMEGO_H_INCLUDED
