#ifndef CLOCK_H_INCLUDED
#define CLOCK_H_INCLUDED

#include <PA9.h>
#include "go.h"

typedef struct clock_t
{
    int player;
    int isBByoYomi;
    int isWByoYomi;

    int mainTime;
    int byoYomi;
    int periods;
} Clock;

void initClock(Clock * clock, int time, int periods, int byoyomi);
void updateClock(Clock * clock);

void pauseClock( Clock * clock);
void unpauseClock( Clock * clock);
void startClock( Clock * clock, int player);
void flipClock(Clock * clock);

#endif // CLOCK_H_INCLUDED
