#ifndef DRAWING_H_INCLUDED
#define DRAWING_H_INCLUDED

#include <PA9.h>
#include "all_gfx.h"
#include "go.h"

enum sprites
{
    Black,
    White,
    Black_T,
    White_T,
    Quit,
    List,
    Score,
    Save,
    Up,
    Down,
    Right,
    Left,
    Wrong,
    Ok
};

void initGraphics(void);
void drawStone(int x, int y, int color);
void drawCountPoint(int x, int y, int color);
void eraseStone(int x, int y);
void eraseAllStone(void);
void eraseAll(void);

void activePad(SGFTree * tree);
void drawReplayGameInterface(void);
void drawRecordGameInterface(void);
void drawTsumegoInterface(void);
void drawOkWrong(int ok);
void eraseInterface(void);

#endif // DRAWING_H_INCLUDED
