#ifndef REPLAYGAME_H_INCLUDED
#define REPLAYGAME_H_INCLUDED

#include <PA9.h>
#include <sys/dir.h>
#include <sys/stat.h>
#include <fat.h>

#include "all_gfx.h"
#include "sgftree.h"
#include "navigateTree.h"
#include "go.h"
#include "drawing.h"

void writeInformations(Goban * goban);
void writeComment(SGFTree * tree);
void addMark(SGFTree * tree);

int countListGames( void );
void writeListGames( int offset );
void loadGameNumber(int number, SGFTree * tree);
int loadGame(SGFTree * tree);

void infosFromSgf(Infos * infos, SGFTree * tree);
void replayGame( SGFTree * tree);

#endif // REPLAYGAME_H_INCLUDED
